Skip to main content
Server path: /rocketlane-tasks | Type: Application | PCID required: Yes

Tools


rocketlane_tasks_add_assignee_to_task

Add assignees to a task by Id Parameters:
ParameterTypeRequiredDefaultDescription
taskIdintegerYesThe task’s unique, system-generated identifier, which can be used to identify the task globally
membersobject[]NoThe list includes both team members and customers assigned to the task.
placeholdersobject[]NoRocketlane’s placeholders are associated with roles. Based on the kind of roles and expertise that are needed to execute a task, placeholders can be added as assignees to templates as well as projects. Eventually, you can resolve placeholders by replacing them with team members according to their availability and role. Note: If the project is not built using sources, this value will be ignored but the mappings are retained and can be used in the future

rocketlane_tasks_add_dependencies_to_task

Add dependencies to a task by Id Parameters:
ParameterTypeRequiredDefaultDescription
taskIdintegerYesThe task’s unique, system-generated identifier, which can be used to identify the task globally
dependenciesobject[]YesTask Dependencies allow you to define relationships between tasks that are dependent on each other.

rocketlane_tasks_add_followers_to_task

Add followers to a task by Id Parameters:
ParameterTypeRequiredDefaultDescription
taskIdintegerYesThe task’s unique, system-generated identifier, which can be used to identify the task globally
membersobject[]NoThe list includes both team members and customers assigned to the task.

rocketlane_tasks_create_task

Create a task Parameters:
ParameterTypeRequiredDefaultDescription
includeFieldsstring[]NoThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
assigneesobjectNoThe assignees value
atRiskbooleanNoIndicates whether the task has been marked as At Risk. This parameter is used to indicate that immediate action is necessary to unblock the task’s execution.
dueDatestringNoThe date when a task completes its execution. It can be empty. If both startDate and dueDate are specified for a given task, it is necessary that the latter should be on or after the given startDate. The format for the due date is YYYY-MM-DD.
effortInMinutesintegerNoThe effort is the expected time required to complete the task. The value is determined in minutes.
externalReferenceIdstringNoAn externalReferenceId is a unique identifier that links entities or transactions between external systems and Rocketlane, ensuring accurate data correlation and consistency.
fieldsobject[]NoThe custom fields can be set during the task creation with the help of fields. The fieldValue can be either a string or a number or an array and it has to comply with the type of the field. Refer examples to know how to assign fieldValue based on their field_type.
followersobjectNoThe task followers can be either members (team members or customers) or placeholders.
parentobjectNoParent task id
phaseobjectNoThe phase that needs to be associated with the task can be mentioned here. Note: The phase needs to be associated with the project and thus failing the task creation process.
privatebooleanNoThis depicts if the task is private or not.
progressintegerNoThe task’s progress, if indicated, will be available here and ranges in value from 0 to 100. The task’s status can be used in place of this field, however progress can offer more precise data.
projectobjectYesThe project associated with task needs to be specified here and it is mandatory for the task to get created and map accordingly.
sourceobjectNoSource information for importing a task from a template
startDatestringNoThe date when a task starts its execution. It can be empty. The format for the start date is YYYY-MM-DD.
statusobjectNoThe value of the task status can be specified here and this is essential to keep track of it.
taskDescriptionstringNoThe description of the task. The description body needs to be in html format to avoid any formatting issues in the application.
taskIdintegerNoThe task’s unique, system-generated identifier, which can be used to identify the task globally
taskNamestringYesThe name of the task.
taskPrivateNotestringNoThe privateNote for the task is intended exclusively for team members. The note’s content should be in HTML format to prevent any formatting issues in the application.
typestringNoThe type of the task if specified will be available here. There are two options: MILESTONE or TASK. If a task is not explicitly marked as a milestone, it takes the default value as TASK. Milestones refer to critical tasks in the project that include an inbuilt CSAT capability that allows customers to offer CSAT evaluations depending on the task’s execution.

rocketlane_tasks_create_time_entry

Create a time entry Parameters:
ParameterTypeRequiredDefaultDescription
includeFieldsstring[]NoThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
activityNamestringNoName of the adhoc activity being performed
billablebooleanNoWhether the time entry is billable. Defaults to true
categoryobjectNoCategory associated with the time entry
datestringYesDate of the time entry in format YYYY-MM-DD
fieldsobject[]NoThe custom fields can be set during the time-entry creation with the help of fields. The fieldValue can be either a string or a number or an array and it has to comply with the type of the field. Refer examples to know how to assign fieldValue based on their field_type.
minutesintegerYesDuration of the time entry in minutes
notesstringNoNotes for the time entry
projectobjectNoProject associated with the time entry
projectPhaseobjectNoProject phase associated with the time entry
taskobjectNoTask associated with the time entry
timeEntryIdintegerNoThe unique, system-generated identifier, which can be used to identify the time entry globally.
userobjectNoUser associated with the time entry

rocketlane_tasks_create_timeoff

Create a time-off Parameters:
ParameterTypeRequiredDefaultDescription
includeFieldsstring[]NoThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
durationInMinutesintegerNoThe duration of time off is determined by the type selected: if the time off type is CUSTOM, the durationInMinutes field is required.
endDatestringYesThe time-off end date. The endDate must be on or after the startDate, formatted as YYYY-MM-DD.
notestringNoThe note or comment about the time-off.
notifyUsersobjectNoUsers to notify about your time off.
startDatestringYesThe time-off start date. The format for the start date is YYYY-MM-DD.
timeOffIdintegerNoThe unique identifier of the time-off is generated by the system and used to identify the time-off globally.
typestringYesThe type of the time-off.
userobjectYesThe time-off user.

rocketlane_tasks_delete_task

Delete task by Id Parameters:
ParameterTypeRequiredDefaultDescription
taskIdintegerYesThe ID of the task object

rocketlane_tasks_delete_time_entry

Delete a time entry Parameters:
ParameterTypeRequiredDefaultDescription
timeEntryIdintegerYesThe unique, system-generated identifier, which can be used to identify the time entry globally.

rocketlane_tasks_delete_timeoff

Delete a time-off Parameters:
ParameterTypeRequiredDefaultDescription
timeOffIdintegerYesThe ID of the time-off object

rocketlane_tasks_get_all_resource_allocations

Get all Resource allocations Parameters:
ParameterTypeRequiredDefaultDescription
startDatestringYesYou can use this parameter to define the start date, and the API response will return all resource allocations that start on or after the specified date.
endDatestringYesYou can use this parameter to define an end date, and the API will return allocations that end on or before the specified date.
pageSizenumberNoThis parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.
pageTokenstringNoUse this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.
includeFieldsstring[]NoUse this query parameter to opt in for fields to be returned in the response body. Use comma separated values to fetch the respective fields. If left blank, default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
sortBystringNoYou can use the sortBy param to sort the responses by the given field.
sortOrderstringNoThe sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.
matchstringNoYou can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.
memberId.eqstringNoYou can use this parameter to specify a member id, and the API will return allocations that exactly match the given member id. This allows for precise filtering of allocations based on the specified user.
memberId.oneOfstringNoYou can use this parameter to specify multiple member ids, separated by commas, and the API will return allocations that match any of the provided member ids.
memberId.noneOfstringNoYou can use this parameter to specify multiple member ids, separated by commas, and the API will return allocations that exclude any of the provided member ids.
projectId.eqstringNoYou can use this parameter to specify a project id, and the API will return allocations that exactly match the given project id.
projectId.oneOfstringNoYou can use this parameter to specify multiple project ids, separated by commas, and the API will return allocations that match any of the provided project ids.
projectId.noneOfstringNoYou can use this parameter to specify multiple project ids, separated by commas, and the API will return allocations that exclude any of the provided project ids.
placeholderId.eqstringNoYou can use this parameter to specify a placeholder id, and the API will return allocations that exactly match the given placeholder id.
placeholderId.oneOfstringNoYou can use this parameter to specify multiple placeholder ids, separated by commas, and the API will return allocations that match any of the provided placeholder ids.
placeholderId.noneOfstringNoYou can use this parameter to specify multiple placeholder ids, separated by commas, and the API will return allocations that exclude any matching placeholder ids.

rocketlane_tasks_get_all_tasks

Get all tasks Parameters:
ParameterTypeRequiredDefaultDescription
pageSizenumberNoThis parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.
pageTokenstringNoUse this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.
includeFieldsstring[]NoThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
sortBystringNoYou can use the sortBy param to sort the responses by the given field.
sortOrderstringNoThe sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.
matchstringNoYou can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.
startDate.gtstringNoYou can use this param to specify some date and the responses will contain tasks whose date are greater than the given date.
startDate.eqstringNoYou can use this param to specify some date and the responses will contain exact matches of tasks that match the given date.
startDate.ltstringNoYou can use this param to specify some date and the responses will contain tasks whose date are less than the given date.
startDate.gestringNoYou can use this param to specify some date and the responses will contain tasks whose date are greater than or equal to the given date.
startDate.lestringNoYou can use this param to specify some date and the responses will contain tasks whose date are less than or equal to the given date.
dueDate.gtstringNoYou can use this param to specify some date and the responses will contain tasks whose date are greater than the given date.
dueDate.eqstringNoYou can use this param to specify some date and the responses will contain exact matches of tasks that match the given date.
dueDate.ltstringNoYou can use this param to specify some date and the responses will contain tasks whose date are less than the given date.
dueDate.gestringNoYou can use this param to specify some date and the responses will contain tasks whose date are greater than or equal to the given date.
dueDate.lestringNoYou can use this param to specify some date and the responses will contain tasks whose date are less than or equal to the given date.
startDateActual.gtstringNoYou can use this param to specify some date and the responses will contain tasks whose date are greater than the given date.
startDateActual.eqstringNoYou can use this param to specify some date and the responses will contain exact matches of tasks that match the given date.
startDateActual.ltstringNoYou can use this param to specify some date and the responses will contain tasks whose date are less than the given date.
startDateActual.gestringNoYou can use this param to specify some date and the responses will contain tasks whose date are greater than or equal to the given date.
startDateActual.lestringNoYou can use this param to specify some date and the responses will contain tasks whose date are less than or equal to the given date.
dueDateActual.gtstringNoYou can use this param to specify some date and the responses will contain tasks whose date are greater than the given date.
dueDateActual.eqstringNoYou can use this param to specify some date and the responses will contain exact matches of tasks that match the given date.
dueDateActual.ltstringNoYou can use this param to specify some date and the responses will contain tasks whose date are less than the given date.
dueDateActual.gestringNoYou can use this param to specify some date and the responses will contain tasks whose date are greater than or equal to the given date.
dueDateActual.lestringNoYou can use this param to specify some date and the responses will contain tasks whose date are less than or equal to the given date.
createdAt.gtintegerNoYou can use this param to provide an epoch milli value and the responses will contain tasks whose date are greater than the given tasks created date.
createdAt.eqintegerNoYou can use this param to provide an epoch milli value and the responses will contain exact matches of tasks that match the given tasks created date.
createdAt.ltintegerNoYou can use this param to provide an epoch milli value and the responses will contain tasks whose date are less than the given tasks created date.
createdAt.geintegerNoYou can use this param to provide an epoch milli value and the responses will contain tasks whose date are greater than or equal to the given tasks created date.
createdAt.leintegerNoYou can use this param to provide an epoch milli value and the responses will contain tasks whose date are less than or equal to the given tasks created date.
updatedAt.gtintegerNoYou can use this param to provide an epoch milli value and the responses will contain tasks whose date are greater than the given tasks updated date.
updatedAt.eqintegerNoYou can use this param to provide an epoch milli value and the responses will contain exact matches of tasks that match the given tasks updated date.
updatedAt.ltintegerNoYou can use this param to provide an epoch milli value and the responses will contain tasks whose date are less than the given tasks updated date.
updatedAt.geintegerNoYou can use this param to provide an epoch milli value and the responses will contain tasks whose date are greater than or equal to the given tasks updated date.
updatedAt.leintegerNoYou can use this param to provide an epoch milli value and the responses will contain tasks whose date are less than or equal to the given tasks updated date.
projectId.eqnumberNoYou can use this param to specify some value as project id and the responses will contain exact matches of tasks that match the given value.
phaseId.eqnumberNoYou can use this param to specify some value as phase id and the responses will contain exact matches of tasks that match the given value.
taskName.eqstringNoYou can use this param to specify some task name and the responses will contain exact matches of tasks that match the given name.
taskName.cnstringNoYou can use this param to specify some task name and the responses will contain matches of tasks that match the given name.
taskName.ncstringNoYou can use this param to specify some task name and the responses will not contain matches of tasks that match the given name.
effortInMinutes.eqnumberNoYou can use this param to specify some value as effort and the responses will contain exact matches of tasks that match the given value.
effortInMinutes.gtnumberNoYou can use this param to specify some value as effort and the responses will contain exact matches of tasks greater than that of the given value.
effortInMinutes.ltnumberNoYou can use this param to specify some value as effort and the responses will contain exact matches of tasks lesser than that of the given value.
progress.eqnumberNoYou can use this param to specify some value as progress and the responses will contain exact matches of tasks that match the given value.
progress.gtnumberNoYou can use this param to specify some value as progress and the responses will contain exact matches of tasks greater than that of the given value.
progress.ltnumberNoYou can use this param to specify some value as progress and the responses will contain exact matches of tasks lesser than that of the given value.
includeArchive.eqbooleanNoYou can use this parameter to specify whether responses will include the archived tasks.
task.status.eqstringNoYou can use this param to provide status and the responses will contain tasks that are equal to the given status
task.status.oneOfstringNoYou can use this param to provide statuses and the responses will contain tasks that contains the given status
task.status.noneOfstringNoYou can use this param to provide statuses and the responses will not contain tasks that are equal to the given status
project.status.eqstringNoYou can use this param to provide status of project and the responses will contain tasks whose project’s status are equal to the given status
project.status.oneOfstringNoYou can use this param to provide statuses of project and the responses will contain tasks whose project’s statuses that contains the given status
project.status.noneOfstringNoYou can use this param to provide statuses of project and the responses will not contain tasks whose project’s statuses are equal to the given status(es)
externalReferenceId.eqstringNoYou can use this param to provide external reference id and the responses will contain tasks that are equal to the given id

rocketlane_tasks_get_all_time_entries

Get all time entries Parameters:
ParameterTypeRequiredDefaultDescription
pageSizenumberNoThis parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.
pageTokenstringNoUse this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.
includeFieldsstring[]NoThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.
sortBystringNoYou can use the sortBy param to sort the responses by the given field. Valid fields to perform sortBy are: MINUTES, DATE, ID and BILLABLE.
sortOrderstringNoThe sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.
matchstringNoYou can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.
date.gtstringNoYou can use this param to specify some date and the responses will contain time-entries whose date are greater than the given date.
date.eqstringNoYou can use this param to specify some date and the responses will contain exact matches of time-entries that match the given date.
date.ltstringNoYou can use this param to specify some date and the responses will contain time-entries whose date are less than the given date.
date.gestringNoYou can use this param to specify some date and the responses will contain time-entries whose date are greater than or equal to the given date.
date.lestringNoYou can use this param to specify some date and the responses will contain time-entries whose date are less than or equal to the given date.
project.eqnumberNoYou can use this param to specify some project Id and the responses will contain exact matches of time-entries that match the given project.
projectId.eqnumberNoYou can use this param to specify some project Id and the responses will contain exact matches of time-entries that match the given project.
task.eqnumberNoYou can use this param to specify some task Id and the responses will contain exact matches of time-entries that match the given task.
taskId.eqnumberNoYou can use this param to specify some task Id and the responses will contain exact matches of time-entries that match the given task.
taskId.oneOfnumberNoYou can use this param to provide ids of task and the responses will contain time entries whose time entries that contains the given task ids
taskId.noneOfnumberNoYou can use this param to provide ids of task and the responses will contain time entries whose time entries that contains the given task ids
projectPhase.eqnumberNoYou can use this param to specify some project phase Id and the responses will contain exact matches of time-entries that match the given phase.
category.eqnumberNoYou can use this param to specify some category Id and the responses will contain exact matches of time-entries that match the given category.
user.eqnumberNoYou can use this param to specify some user Id and the responses will contain exact matches of time-entries that belong to the user with the given user Id.
emailId.eqstringNoYou can use this param to specify some email Id and the responses will contain exact matches of time-entries that belong to the user with the given email Id.
emailId.cnstringNoYou can use this param to specify some text and the responses will contain time-entries that contain the given text in their email name.
emailId.ncstringNoYou can use this param to specify some text and the responses will contain time-entries that DO NOT contain the given text in their email Id.
sourceType.eqstringNoYou can use this param to specify a source type for the time entries and the responses will contain exact matches of time-entries that have the given source type.
activityName.eqstringNoYou can use this param to specify some activity name and the responses will contain exact matches of time-entries that match the given activity name.
activityName.cnstringNoYou can use this param to specify some text and the responses will contain time-entries that contain the given text in their activity name.
activityName.ncstringNoYou can use this param to specify some text and the responses will contain time-entries that DO NOT contain the given text in their activity name.
approvalStatus.eqstringNoYou can use this param to specify an approval status for the time entries and the responses will contain exact matches of time-entries that have the given approval type.
submittedBy.eqnumberNoYou can use this param to specify a submitter for the time entries and the response will contain time-entries submitted by the given user.
submittedAt.eqintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries submitted at the given timestamp.
submittedAt.gtintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries submitted after the given timestamp.
submittedAt.geintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries submitted at or after the given timestamp.
submittedAt.ltintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries submitted before the given timestamp.
submittedAt.leintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries submitted at or before the given timestamp.
approvedBy.eqnumberNoYou can use this param to specify an approver for the time entries and the response will contain time-entries approved by the given user.
approvedAt.eqintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries approved at the given timestamp.
approvedAt.gtintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries approved after the given timestamp.
approvedAt.geintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries approved at or after the given timestamp.
approvedAt.ltintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries approved before the given timestamp.
approvedAt.leintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries approved at or before the given timestamp.
rejectedBy.eqnumberNoYou can use this param to specify a rejecter for the time entries and the response will contain time-entries rejected by the given user.
rejectedAt.eqintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries rejected at the given timestamp.
rejectedAt.gtintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries rejected after the given timestamp.
rejectedAt.geintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries rejected at or after the given timestamp.
rejectedAt.ltintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries rejected before the given timestamp.
rejectedAt.leintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries rejected at or before the given timestamp.
billable.eqbooleanNoYou can use this param to specify the billable flag for the time entries and the responses will contain exact matches of time-entries that have the given billable.
includeDeleted.eqbooleanNoYou can use this parameter to specify whether responses will include the deleted time entries.
createdAt.gtintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries whose date are greater than the given time entries created date.
createdAt.eqintegerNoYou can use this param to provide an epoch milli value and the responses will contain exact matches of time entries that match the given time entries created date.
createdAt.ltintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries whose date are less than the given time entries created date.
createdAt.geintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries whose date are greater than or equal to the given time entries created date.
createdAt.leintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries whose date are less than or equal to the given time entries created date.
updatedAt.gtintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries whose date are greater than the given time entries updated date.
updatedAt.eqintegerNoYou can use this param to provide an epoch milli value and the responses will contain exact matches of time entries that match the given time entries updated date.
updatedAt.ltintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries whose date are less than the given time entries updated date.
updatedAt.geintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries whose date are greater than or equal to the given time entries updated date.
updatedAt.leintegerNoYou can use this param to provide an epoch milli value and the responses will contain time entries whose date are less than or equal to the given time entries updated date.

rocketlane_tasks_get_all_timeoffs

Get all time-offs Parameters:
ParameterTypeRequiredDefaultDescription
pageSizenumberNoThis parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.
pageTokenstringNoUse this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.
includeFieldsstring[]NoThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
sortBystringNoYou can use the sortBy param to sort the responses by the given field.
sortOrderstringNoThe sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.
matchstringNoYou can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.
startDate.gtstringNoReturns responses with start dates greater than the specified date.
startDate.eqstringNoReturns responses with start dates equal to the specified date.
startDate.ltstringNoReturns responses with start dates lesser than the specified date.
startDate.gestringNoReturns responses with start dates greater than or equal to the specified date.
startDate.lestringNoReturns responses with start dates lesser than or equal to the specified date.
endDate.gtstringNoReturns responses with start dates greater than the specified date.
endDate.eqstringNoReturns responses with start dates equal to the specified date.
endDate.ltstringNoReturns responses with start dates lesser than the specified date.
endDate.gestringNoReturns responses with start dates greater than or equal to the specified date.
endDate.lestringNoReturns responses with start dates lesser than or equal to the specified date.e.
type.eqstring[]NoReturns responses with time-offs that exactly match the specified time off type.
type.oneOfstring[]NoReturns responses with time-offs that matches one of the specified time off type.
type.noneOfstring[]NoReturns responses with time-offs that matches none of the specified time off type.
userId.eqstringNoReturns responses with time-offs that exactly match the specified user id.
userId.oneOfstringNoReturns responses with time-offs that matches one of the specified user id.
userId.noneOfstringNoReturns responses with time-offs that matches none of the specified user id.
emailId.eqstringNoReturns responses with time-offs that exactly match the specified user’s email id.
emailId.oneOfstringNoReturns responses with time-offs that matches one of the specified user’s email ids.
emailId.noneOfstringNoReturns responses with time-offs that matches none of the specified user’s email ids.

rocketlane_tasks_get_task

Get task by Id Parameters:
ParameterTypeRequiredDefaultDescription
taskIdintegerYesThe task’s unique, system-generated identifier, which can be used to identify the task globally.
includeFieldsstring[]NoThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.

rocketlane_tasks_get_time_entry

Get a time entry Parameters:
ParameterTypeRequiredDefaultDescription
timeEntryIdintegerYesThe unique, system-generated identifier, which can be used to identify the time entry globally.
includeFieldsstring[]NoThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.

rocketlane_tasks_get_time_entry_categories

Get time entry categories Parameters:
ParameterTypeRequiredDefaultDescription
pageSizenumberNoThis parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.
pageTokenstringNoUse this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.

rocketlane_tasks_get_timeoff

Get time-off by Id Parameters:
ParameterTypeRequiredDefaultDescription
timeOffIdintegerYesThe unique identifier of the time-off is generated by the system and used to identify the time-off globally.
includeFieldsstring[]NoThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.

rocketlane_tasks_move_task_to_given_phase

Move a task to the phase by Id Parameters:
ParameterTypeRequiredDefaultDescription
taskIdintegerYesThe task’s unique, system-generated identifier, which can be used to identify the task globally
phaseobjectYesThe phase to which the task will be moved, associating the task with this phase.

rocketlane_tasks_remove_assignees_from_task

Remove assignees from a task by Id Parameters:
ParameterTypeRequiredDefaultDescription
taskIdintegerYesThe task’s unique, system-generated identifier, which can be used to identify the task globally
membersobject[]NoThe list includes both team members and customers assigned to the task.
placeholdersobject[]NoRocketlane’s placeholders are associated with roles. Based on the kind of roles and expertise that are needed to execute a task, placeholders can be added as assignees to templates as well as projects. Eventually, you can resolve placeholders by replacing them with team members according to their availability and role. Note: If the project is not built using sources, this value will be ignored but the mappings are retained and can be used in the future

rocketlane_tasks_remove_dependencies_from_task

Remove dependencies from a task by Id Parameters:
ParameterTypeRequiredDefaultDescription
taskIdintegerYesThe task’s unique, system-generated identifier, which can be used to identify the task globally
dependenciesobject[]YesTask Dependencies allow you to define relationships between tasks that are dependent on each other.

rocketlane_tasks_remove_followers_from_task

Remove followers from a task by Id Parameters:
ParameterTypeRequiredDefaultDescription
taskIdintegerYesThe task’s unique, system-generated identifier, which can be used to identify the task globally
membersobject[]NoThe list includes both team members and customers assigned to the task.

rocketlane_tasks_update_task

Update task by Id Parameters:
ParameterTypeRequiredDefaultDescription
taskIdintegerYesThe task’s unique, system-generated identifier, which can be used to identify the task globally
includeFieldsstring[]NoThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
atRiskbooleanNoIndicates whether the task has been marked as At Risk. This parameter is used to indicate that immediate action is necessary to unblock the task’s execution.
dueDatestringNoThe date when a task completes its execution. It can be empty. If both startDate and dueDate are specified for a given task, it is necessary that the latter should be on or after the given startDate. The format for the due date is YYYY-MM-DD.
effortInMinutesintegerNoThe effort is the expected time required to complete the task. The value is determined in minutes.
externalReferenceIdstringNoAn externalReferenceId is a unique identifier that links entities or transactions between external systems and Rocketlane, ensuring accurate data correlation and consistency.
fieldsobject[]NoThe custom fields can be set during the task creation with the help of fields. The fieldValue can be either a string or a number or an array and it has to comply with the type of the field. Refer examples to know how to assign fieldValue based on their field_type.
privatebooleanNoThis depicts if the task is private or not.
progressintegerNoThe task’s progress, if indicated, will be available here and ranges in value from 0 to 100. The task’s status can be used in place of this field, however progress can offer more precise data.
startDatestringNoThe date when a task starts its execution. It can be empty. The format for the start date is YYYY-MM-DD.
statusobjectNoThe value of the task status can be specified here and this is essential to keep track of it.
taskDescriptionstringNoThe description of the task. The description body needs to be in html format to avoid any formatting issues in the application.
taskNamestringNoThe name of the task.
taskPrivateNotestringNoThe privateNote for the task is intended exclusively for team members. The note’s content should be in HTML format to prevent any formatting issues in the application.
typestringNoThe type of the task if specified will be available here. There are two options: MILESTONE or TASK. If a task is not explicitly marked as a milestone, it takes the default value as TASK. Milestones refer to critical tasks in the project that include an inbuilt CSAT capability that allows customers to offer CSAT evaluations depending on the task’s execution.

rocketlane_tasks_update_time_entry

Update a time entry Parameters:
ParameterTypeRequiredDefaultDescription
timeEntryIdintegerYesThe unique, system-generated identifier, which can be used to identify the time entry globally.
includeFieldsstring[]NoThis query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.
includeAllFieldsbooleanNoThis query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.
activityNamestringNoName of the adhoc activity being performed
billablebooleanNoThe billable value
categoryobjectNoCategory associated with the time entry
datestringNoDate of the time entry in format YYYY-MM-DD
fieldsobject[]NoThe custom fields can be set during the time-entry creation with the help of fields. The fieldValue can be either a string or a number or an array and it has to comply with the type of the field. Refer examples to know how to assign fieldValue based on their field_type.
minutesintegerNoDuration of the time entry in minutes
notesstringNoNotes for the time entry